Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## dynamicbees
Class AbstractBee

    java.lang.Object
      madkit.kernel.AbstractAgent
          dynamicbees.AbstractBee

All Implemented Interfaces:
  java.io.Serializable, ReferenceableAgent

Direct Known Subclasses:
  Bee, QueenBee

    public abstract class AbstractBee

extends AbstractAgent
implements ReferenceableAgent

Version:
  2.0
Author:
  Olivier Gutknecht, Fabien MICHEL 01/02/2001
See Also:
  Serialized Form

Field Summary
`BeeColor` | `beeColor`
`BeeEnvironment` | `beeWorld`
`java.awt.Point` | `oldp`
`java.awt.Point` | `p`

Constructor Summary
`AbstractBee()`

Method Summary
`int` | `randomFromRange(int val)` -------------------------------------------------------------------------- randomFromRange - return a value from -val to +val
`int` | `RangedRdm(int min, int max)`
`void` | `setEnvironment(BeeEnvironment bw)`

Methods inherited from class madkit.kernel.AbstractAgent
`activate, broadcastMessage, broadcastMessage, connectedWithCommunity, createGroup, createGroup, debug, destroyGroup, disposeMyGUI, end, foundGroup, getAddress, getAgentsWithRole, getAgentsWithRole, getAgentWithRole, getAgentWithRole, getAvailableCommunities, getBean, getController, getCurrentKernelAddress, getDebug, getExistingGroups, getExistingGroups, getExistingRoles, getExistingRoles, getGroups, getGUIObject, getMessageBoxSize, getMyGroups, getMyGroups, getMyRoles, getMyRoles, getName, getRoles, hasGUI, hashCode, hideMyGUI, initGUI, isBelongingToGroup, isBelongingToGroup, isCommunity, isGroup, isGroup, isMemberOf, isMemberOf, isMessageBoxEmpty, isRole, isRole, joinGroup, killAgent, launchAgent, launchAgent, leaveGroup, leaveGroup, leaveRole, leaveRole, nextMessage, print, println, receiveMessage, redisplayMyGUI, requestRole, requestRole, requestRole, restoreAgent, sendMessage, sendMessage, sendMessage, setBean, setController, setDebug, setGUIObject, setName, setOutput, setOutputWriter, toString, windowClosing`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### p

    public java.awt.Point p

### oldp

    public java.awt.Point oldp

### beeWorld

    public BeeEnvironment beeWorld

### beeColor

    public BeeColor beeColor

Constructor Detail

### AbstractBee

    public AbstractBee()

Method Detail

### RangedRdm

    public int RangedRdm(int min,
                         int max)

### randomFromRange

    public final int randomFromRange(int val)

  -------------------------------------------------------------------------- randomFromRange - return a value from -val to +val

### setEnvironment

    public void setEnvironment(BeeEnvironment bw)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.